
%global meadversion 1
%global namedversion 1.redhat-4
%global meadalpha .redhat_4
%global meadrel .1
%global serial 5

%bcond_without mead

%define maven_version 1.redhat-4

Name:           atinject-eap6
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        javax.inject
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: javax.inject-1.redhat-4-scm-sources.zip
Source102: javax.inject-1.redhat-4-sources.jar
Source103: javax.inject-1.redhat-4-javadoc.jar
Source104: javax.inject-1.redhat-4.pom
Source105: javax.inject-1.redhat-4.jar
%endif

URL:            http://code.google.com/p/atinject/
Provides:       javax.inject-eap6 = %{epoch}:%{version}-%{release}
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/javax.inject-eap6-%{namedversion}-%{release}-root

%description
The javax.inject API.

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jar files
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/javax.inject-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/javax.inject-%{namedversion}.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/javax.inject-%{namedversion}.jar
%{_javadir}/%{name}/javax.inject.jar

%changelog
* Wed Sep 11 2013 David Walluck <dwalluck@redhat.com> 0:1-4
- fix Provides

* Wed Sep 11 2013 David Walluck <dwalluck@redhat.com> 0:1-4
- 1.redhat-4

* Fri Feb 01 2013 Fernando Nasser <fnasser@redhat.com> 0:1-3.redhat-3
- Wrap build that deploys sources

* Tue Jan 29 2013 Fernando Nasser <fnasser@redhat.com> 0:1-2.redhat-2
- Fix release tag
- Make it a wrapper

* Tue Jan 29 2013 David Walluck <dwalluck@redhat.com> 0:1-1
- release
